## maxima 5.44.0

=== crosscompile-windows/abcl/CMakeLists.txt ===
set(ABCL_VERSION 1.7.0)
set(ABCL_MD5 "3272aff313191d87058bd7f6b72471cf")
set(ABCL_URL "https://abcl.org/releases/${ABCL_VERSION}/abcl-bin-${ABCL_VERSION}.tar.gz")

externalproject_add(abcl
  URL "${ABCL_URL}"
  DOWNLOAD_DIR ${CMAKE_SOURCE_DIR}/downloads
  URL_MD5 ${ABCL_MD5}
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
)
