=== debian/changelog ===
maxima (5.44.0-3) unstable; urgency=high

  * patch imaxima.el for xemacs21 compatibility
  * Bug fix: "maxima-emacs 5.44 does not work with XEmacs", thanks to
    Agustin Martin (Closes: #969410).

 -- Camm Maguire <camm@debian.org>  Sat, 24 Apr 2021 13:41:46 +0000

maxima (5.44.0-2) unstable; urgency=medium

  * emacs24 -> emacs-gtk in control dependencies
  * compat 13
  * update lintian-overrides
  * iconv -t UTF-8 on national encoding files

 -- Camm Maguire <camm@debian.org>  Sat, 29 Aug 2020 18:16:49 +0000

maxima (5.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "info files not in right place", thanks to Leo Butler
    (Closes: #953107).

 -- Camm Maguire <camm@debian.org>  Wed, 26 Aug 2020 15:03:58 +0000
