## maxima 5.45.1

=== crosscompile-windows/abcl/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-set(ABCL_VERSION 1.7.0)
-set(ABCL_MD5 "3272aff313191d87058bd7f6b72471cf")
+# SPDX-License-Identifier: GPL-2.0-or-later
+set(ABCL_VERSION 1.8.0)
+set(ABCL_MD5 "4e5c6234b21097cdcaccd126c640f7f9")
 set(ABCL_URL "https://abcl.org/releases/${ABCL_VERSION}/abcl-bin-${ABCL_VERSION}.tar.gz")
 
 externalproject_add(abcl
