=== debian/changelog ===
maxima (5.45.1-8) unstable; urgency=medium

  * maxima-emacs depends on mmm-mode

 -- Camm Maguire <camm@debian.org>  Mon, 06 Dec 2021 15:14:56 +0000

maxima (5.45.1-7) unstable; urgency=medium

  * Fix maxima-emacs install with xemacs

 -- Camm Maguire <camm@debian.org>  Wed, 01 Dec 2021 15:05:53 +0000

maxima (5.45.1-6) unstable; urgency=medium

  * maxima-emacs conflicts with xemacs21
  * reverse earlier patch attempts
  * Bug fix: "fails to install with xemacs21", thanks to Andreas Beckmann
    (Closes: #999626).

 -- Camm Maguire <camm@debian.org>  Thu, 25 Nov 2021 16:28:00 +0000

maxima (5.45.1-5) unstable; urgency=medium

  * Bug fix: "fails to install with xemacs21", thanks to Andreas Beckmann
    (Closes: #999626).

 -- Camm Maguire <camm@debian.org>  Sat, 20 Nov 2021 19:42:43 +0000

maxima (5.45.1-4) unstable; urgency=medium

  * rebuild against gcl 2.6.12-111

 -- Camm Maguire <camm@debian.org>  Thu, 11 Nov 2021 20:06:33 +0000

maxima (5.45.1-3) unstable; urgency=medium

  * remove readline from build-depends
  * Bug fix: "imaxima always gives &quot;LaTeX error in:&quot;", thanks to
    Kumar Appaiah (Closes: #953862).
  * build-depend latest gcl
  * Bug fix: "stderr is sent to stdout", thanks to Anders Andersson
    (Closes: #904849).
  * Bug fix: "bug in draw with terminal=epslatex_standalone", thanks to
    b606 (Closes: #898853).  The original hang is fixed.  I will leave it
    to upstream to consider your helpful annotations patches.

 -- Camm Maguire <camm@debian.org>  Wed, 10 Nov 2021 19:32:51 +0000

maxima (5.45.1-2) unstable; urgency=medium

  * latest standards
  * build-dep gcl >= 2.6.12-107
  * Bug fix: "Legally problematic GPL-3+ readline dependency", thanks to
    Bastian Germann (Closes: #979102).
  * Bug fix: "imaxima bugs", thanks to Jesús Lago Macía (Closes: #981979).

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 21:31:06 +0000

maxima (5.45.1-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Incorrect file contents.hhc is generated", thanks to
    Stanislav Maslovski (Closes: #972639).
  * Bug fix: "please migrate away from autoconf2.13", thanks to Chris
    Hofstaedtler (Closes: #992809).

 -- Camm Maguire <camm@debian.org>  Mon, 01 Nov 2021 17:53:11 +0000
