=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.12-91 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake, debhelper ( >= 13 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common, python3
-Standards-Version: 4.4.1
+Build-Depends: gcl ( >= 2.6.12-111 ) , texinfo, libgmp3-dev, locales, automake, debhelper ( >= 13 ), autoconf, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common, python3
+Standards-Version: 4.6.0.1
 
 Package: maxima
 Architecture: any
@@ -89,7 +89,7 @@
  libraries. 
 
 Package: maxima-emacs
-Depends:  maxima (>= ${binary:Version}), emacs-gtk | emacsen, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex-recommended, maxima-doc (>= ${source:Version})
+Depends:  maxima (>= ${binary:Version}), emacs-gtk | emacsen, mmm-mode, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex-recommended, maxima-doc (>= ${source:Version})
 Recommends: mime-support, postscript-viewer, pdf-viewer
 Architecture: all
 Replaces: maxima (<< ${binary:Version})
